%global gem_name rack-cors

Name:           rubygem-%{gem_name}
Version:        0.2.9
Release:        0%{?dist}
Summary:        Middleware for enabling Cross-Origin Resource Sharing in Rack apps

Group:          Development/Languages
License:        MIT
URL:            http://github.com/cyu/rack-cors
Source0:        https://rubygems.org/gems/%{gem_name}-%{version}.gem

BuildArch:      noarch
BuildRequires:  rubygems-devel
# EPEL6: mocha too old
#BuildRequires:  rubygem(shoulda)
#BuildRequires:  rubygem(mocha) >= 0.14.0
#BuildRequires:  rubygem(rack-test)
Requires:       ruby(abi) = 1.8
Requires:       ruby(rubygems) 
Provides:       rubygem(%{gem_name}) = %{version}

%description
Middleware that will make Rack-based apps CORS compatible.

Read more here:
http://blog.sourcebender.com/2010/06/09/introducin-rack-cors.html.

Fork the project here: http://github.com/cyu/rack-cors.


%package doc
Summary:        Documentation for %{name}
Group:          Documentation
BuildArch:      noarch
Requires:       %{name} = %{version}-%{release}

%description doc
Documentation for %{name}.


%prep
gem unpack %{SOURCE0}

%setup -q -D -T -n  %{gem_name}-%{version}

gem spec %{SOURCE0} -l --ruby > %{gem_name}.gemspec


%build
# Create the gem as gem install only works on a gem file
gem build %{gem_name}.gemspec

%gem_install


%install
mkdir -p %{buildroot}%{gem_dir}
cp -a .%{gem_dir}/* \
        %{buildroot}%{gem_dir}/


# Missing dependencies on EPEL6
#%check
#pushd .%{gem_instdir}
#ruby -Ilib -e 'Dir.glob "./test/**/*_test.rb", &method(:require)'
#popd


%files
%doc %{gem_instdir}/LICENSE.txt
%dir %{gem_instdir}
%{gem_libdir}
%exclude %{gem_cache}
%{gem_spec}
%exclude %{gem_instdir}/%{gem_name}.gemspec
%exclude %{gem_instdir}/Gemfile

%files doc
%doc %{gem_docdir}
%doc %{gem_instdir}/README.rdoc
%{gem_instdir}/Rakefile
%{gem_instdir}/test


%changelog
* Fri Aug 22 2014 František Dvořák <valtri@civ.zcu.cz> - 0.2.9-0
- Initial package
